Bug 586410 - list-harddrives command broken in kickstart/anaconda environment for %pre/%post
list-harddrives command broken in kickstart/anaconda environment for %pre/%post
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda (Show other bugs)
All Linux
low Severity medium
: rc
: ---
Assigned To: Anaconda Maintenance Team
Martin Banas
: 600469 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2010-04-27 09:52 EDT by Don Hoover
Modified: 2010-07-02 16:47 EDT (History)
4 users (show)

See Also:
Fixed In Version: anaconda-13.21.33-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-07-02 16:47:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
list-harddrives crash output (40.19 KB, image/jpeg)
2010-04-27 09:52 EDT, Don Hoover
no flags Details
parted example output on same devices (53.16 KB, image/jpeg)
2010-04-27 09:53 EDT, Don Hoover
no flags Details

  None (edit)
Description Don Hoover 2010-04-27 09:52:40 EDT
Created attachment 409480 [details]
list-harddrives crash output

Description of problem:
The "list-harddrives" utility crashes on CDROM drive discovery with DiskLabelException "unrecognized disk label".

This is a popular command to use in kickstart %pre and %post scripts to provide an easy to use method of getting information about all of the disks connected to the system.

Version-Release number of selected component (if applicable):
RHEL 6 Beta 1

How reproducible:
Run list-harddrives command inside command shell or in %pre/%post scripts during kickstart/anaconda environment.

Steps to Reproduce:
1. run list-harddrives command
2. command crashes on cdrom
Actual results:

Expected results:
A properly formatted list of hard drives on system and their sizes.

Additional info:

Attached are screenshots(was using VMWare Console so have no copy/paste) of the output from list-harddrives crash, as well as the example output from running parted against the device as well which is apparently what output is being parsed by the list-harddrives python code that causes the problem.
Comment 1 Don Hoover 2010-04-27 09:53:29 EDT
Created attachment 409481 [details]
parted example output on same devices
Comment 2 RHEL Product and Program Management 2010-04-27 10:49:37 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
Comment 4 Martin Banas 2010-05-18 08:34:30 EDT
Hello, VERIFIED on build RHEL6.0-20100512.0 with anaconda-13.21.39-1.el6. No traceback displayed, only /dev/sda has been checked.

Closing as verified.
Comment 5 Chris Lumens 2010-06-04 15:15:05 EDT
*** Bug 600469 has been marked as a duplicate of this bug. ***
Comment 6 Jeremy Faith 2010-06-30 05:36:13 EDT
Hi, This bug also exists in Fedora 13 anaconda-13.42-1.fc13.i686 as was reported in Bug 600469. I notice this is Fixed in Version: anaconda-13.21.33-1 has the fix been forward ported?
Comment 7 releng-rhel@redhat.com 2010-07-02 16:47:36 EDT
Red Hat Enterprise Linux Beta 2 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.